Skip to main content
GET
/
rewards
/
details
Get reward details
curl --request GET \
  --url https://api.example.com/rewards/details \
  --header 'Authorization: Bearer <token>'
{
  "rates": [
    {
      "id": "<string>",
      "multiplier_id": "<string>",
      "rate": "<string>",
      "networks": [
        "<string>"
      ],
      "jurisdiction": "JURISDICTION_UNSPECIFIED",
      "tier": "TIER_UNSPECIFIED",
      "effective_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_accrual": "2023-11-07T05:31:56Z",
  "lifetime_earned": "<string>",
  "total_available_rewards": "<string>",
  "est_next_accrual_amount": "<string>"
}
OAuth Scope
rewards:read_rewards_details

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

A successful response.

rates
A reward rate configuration · object[]

Current reward rates.

next_accrual
string<date-time>

The next time rewards will accrue.

lifetime_earned
string

Total rewards earned over the lifetime of the account.

total_available_rewards
string

Total rewards currently available to claim in business units.

est_next_accrual_amount
string

Estimated amount of the next accrual based on current balances, pending rewards, and multiplier rates.